public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/kissat/
@ 2023-01-10  4:22 Maciej Barć
  0 siblings, 0 replies; 5+ messages in thread
From: Maciej Barć @ 2023-01-10  4:22 UTC (permalink / raw
  To: gentoo-commits

commit:     2257ce4ba9a5d9beb061ccff9ddb604ce77eb8bd
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 10 04:20:24 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Jan 10 04:22:47 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2257ce4b

sci-mathematics/kissat: new package; add 3.0.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/kissat/Manifest            |  1 +
 sci-mathematics/kissat/kissat-3.0.0.ebuild | 37 ++++++++++++++++++++++++++++++
 sci-mathematics/kissat/metadata.xml        | 19 +++++++++++++++
 3 files changed, 57 insertions(+)

diff --git a/sci-mathematics/kissat/Manifest b/sci-mathematics/kissat/Manifest
new file mode 100644
index 000000000000..33be7b881bb0
--- /dev/null
+++ b/sci-mathematics/kissat/Manifest
@@ -0,0 +1 @@
+DIST kissat-3.0.0.tar.gz 466704 BLAKE2B 453f894884e80cfd0ee7022adbde0439d64e31a402c4bfa92f022ad41699cc5c11682d5b9069cf33f8a779afa255f103987519bc9412b49f54480bd688fbc4eb SHA512 2a5b7b9c9bb74ca8395399425519c138e135eb9adfb6e802ce8d7544c9d53e0b7687f86e6a032fcdff1c6fc01770dd7e7449e488e0ddf3e4ee1199e1448a0862

diff --git a/sci-mathematics/kissat/kissat-3.0.0.ebuild b/sci-mathematics/kissat/kissat-3.0.0.ebuild
new file mode 100644
index 000000000000..3c36cf0cd9ef
--- /dev/null
+++ b/sci-mathematics/kissat/kissat-3.0.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Keep-it-simple and clean bare metal SAT solver written in C"
+HOMEPAGE="http://fmv.jku.at/kissat/
+	https://github.com/arminbiere/kissat/"
+SRC_URI="https://github.com/arminbiere/${PN}/archive/rel-${PV}.tar.gz
+	-> ${P}.tar.gz"
+S="${WORKDIR}"/${PN}-rel-${PV}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+src_configure() {
+	local myopts=(
+		CC="$(tc-getCC) ${CFLAGS} ${LDFLAGS}"
+		--kitten
+		--statistics
+	)
+	sh ./configure "${myopts[@]}" || die
+}
+
+src_compile() {
+	emake AR="$(tc-getAR)"
+}
+
+src_install() {
+	dolib.a build/libkissat.a
+	exeinto /usr/bin/
+	doexe build/{kissat,kitten}
+	dodoc CONTRIBUTING NEWS.md README.md
+}

diff --git a/sci-mathematics/kissat/metadata.xml b/sci-mathematics/kissat/metadata.xml
new file mode 100644
index 000000000000..89067a2c8952
--- /dev/null
+++ b/sci-mathematics/kissat/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+  <maintainer type="project">
+    <email>sci-mathematics@gentoo.org</email>
+    <name>Gentoo Mathematics Project</name>
+  </maintainer>
+  <longdescription>
+    Kissat is a "keep it simple and clean bare metal SAT solver" written in C.
+    It is a port of CaDiCaL back to C with improved data structures, better
+    scheduling of inprocessing and optimized algorithms and implementation.
+    Coincidentally "kissat" also means "cats" in Finnish.
+  </longdescription>
+  <upstream>
+    <bugs-to>https://github.com/arminbiere/kissat//issues/</bugs-to>
+    <remote-id type="github">arminbiere/kissat</remote-id>
+  </upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/kissat/
@ 2023-02-15  6:25 Ionen Wolkens
  0 siblings, 0 replies; 5+ messages in thread
From: Ionen Wolkens @ 2023-02-15  6:25 UTC (permalink / raw
  To: gentoo-commits

commit:     d9c1c1f31bd1b3426a67b091a5f2a6957c01fc94
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 15 05:20:40 2023 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Wed Feb 15 06:24:30 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d9c1c1f3

sci-mathematics/kissat: add blocker on >=x11-terms/kitty-0.27

Would be difficult to rename or make 'kitten' optional from kitty's
side given it's used/referenced in several places both by kitty's code
and user documentation, and not familiar with sci-mathematics/kissat
to say what's reasonable to do from that end, so just block.

Can be revisited if someone actually needs these to coexist.

Closes: https://bugs.gentoo.org/894342
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 sci-mathematics/kissat/kissat-3.0.0.ebuild | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/sci-mathematics/kissat/kissat-3.0.0.ebuild b/sci-mathematics/kissat/kissat-3.0.0.ebuild
index 3c36cf0cd9ef..4c1fed10488f 100644
--- a/sci-mathematics/kissat/kissat-3.0.0.ebuild
+++ b/sci-mathematics/kissat/kissat-3.0.0.ebuild
@@ -16,6 +16,8 @@ LICENSE="MIT"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 
+RDEPEND="!>=x11-terms/kitty-0.27"
+
 src_configure() {
 	local myopts=(
 		CC="$(tc-getCC) ${CFLAGS} ${LDFLAGS}"


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/kissat/
@ 2023-08-15 11:59 Maciej Barć
  0 siblings, 0 replies; 5+ messages in thread
From: Maciej Barć @ 2023-08-15 11:59 UTC (permalink / raw
  To: gentoo-commits

commit:     adc778bc803eecb47bd8ce6ed3f9dad00ba2f884
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 15 11:59:36 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Aug 15 11:59:52 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=adc778bc

sci-mathematics/kissat: bump to 3.1.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/kissat/Manifest            |  1 +
 sci-mathematics/kissat/kissat-3.1.0.ebuild | 39 ++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/sci-mathematics/kissat/Manifest b/sci-mathematics/kissat/Manifest
index 33be7b881bb0..be9a0662fb22 100644
--- a/sci-mathematics/kissat/Manifest
+++ b/sci-mathematics/kissat/Manifest
@@ -1 +1,2 @@
 DIST kissat-3.0.0.tar.gz 466704 BLAKE2B 453f894884e80cfd0ee7022adbde0439d64e31a402c4bfa92f022ad41699cc5c11682d5b9069cf33f8a779afa255f103987519bc9412b49f54480bd688fbc4eb SHA512 2a5b7b9c9bb74ca8395399425519c138e135eb9adfb6e802ce8d7544c9d53e0b7687f86e6a032fcdff1c6fc01770dd7e7449e488e0ddf3e4ee1199e1448a0862
+DIST kissat-3.1.0.tar.gz 470710 BLAKE2B bd79a480209d6ff35aa431dc294018cd78ef06e5f6c431fcd23206a72183c3f18eb4a4b9b57f471f2edc7c9224a52d00ae1d75f6c9af050b1fa7e667776932a7 SHA512 226090d4e8c42197709e08341dd4623cbf7e63f2fee72e59305ab7643c3e59cfc1f9f3abb5a766e3572137b45018ed788bbdfb486e6b8d86a7317f959358f2e8

diff --git a/sci-mathematics/kissat/kissat-3.1.0.ebuild b/sci-mathematics/kissat/kissat-3.1.0.ebuild
new file mode 100644
index 000000000000..4c1fed10488f
--- /dev/null
+++ b/sci-mathematics/kissat/kissat-3.1.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Keep-it-simple and clean bare metal SAT solver written in C"
+HOMEPAGE="http://fmv.jku.at/kissat/
+	https://github.com/arminbiere/kissat/"
+SRC_URI="https://github.com/arminbiere/${PN}/archive/rel-${PV}.tar.gz
+	-> ${P}.tar.gz"
+S="${WORKDIR}"/${PN}-rel-${PV}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="!>=x11-terms/kitty-0.27"
+
+src_configure() {
+	local myopts=(
+		CC="$(tc-getCC) ${CFLAGS} ${LDFLAGS}"
+		--kitten
+		--statistics
+	)
+	sh ./configure "${myopts[@]}" || die
+}
+
+src_compile() {
+	emake AR="$(tc-getAR)"
+}
+
+src_install() {
+	dolib.a build/libkissat.a
+	exeinto /usr/bin/
+	doexe build/{kissat,kitten}
+	dodoc CONTRIBUTING NEWS.md README.md
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/kissat/
@ 2023-10-11  0:19 Maciej Barć
  0 siblings, 0 replies; 5+ messages in thread
From: Maciej Barć @ 2023-10-11  0:19 UTC (permalink / raw
  To: gentoo-commits

commit:     1248ca497808075120f97fa0218151e8b113bd51
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 11 00:18:21 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Wed Oct 11 00:19:38 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1248ca49

sci-mathematics/kissat: bump to 3.1.1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/kissat/Manifest            |  1 +
 sci-mathematics/kissat/kissat-3.1.1.ebuild | 39 ++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/sci-mathematics/kissat/Manifest b/sci-mathematics/kissat/Manifest
index be9a0662fb22..906a03b62d91 100644
--- a/sci-mathematics/kissat/Manifest
+++ b/sci-mathematics/kissat/Manifest
@@ -1,2 +1,3 @@
 DIST kissat-3.0.0.tar.gz 466704 BLAKE2B 453f894884e80cfd0ee7022adbde0439d64e31a402c4bfa92f022ad41699cc5c11682d5b9069cf33f8a779afa255f103987519bc9412b49f54480bd688fbc4eb SHA512 2a5b7b9c9bb74ca8395399425519c138e135eb9adfb6e802ce8d7544c9d53e0b7687f86e6a032fcdff1c6fc01770dd7e7449e488e0ddf3e4ee1199e1448a0862
 DIST kissat-3.1.0.tar.gz 470710 BLAKE2B bd79a480209d6ff35aa431dc294018cd78ef06e5f6c431fcd23206a72183c3f18eb4a4b9b57f471f2edc7c9224a52d00ae1d75f6c9af050b1fa7e667776932a7 SHA512 226090d4e8c42197709e08341dd4623cbf7e63f2fee72e59305ab7643c3e59cfc1f9f3abb5a766e3572137b45018ed788bbdfb486e6b8d86a7317f959358f2e8
+DIST kissat-3.1.1.tar.gz 471004 BLAKE2B ce98105f2701e9dfab8dc555ace2d6891015e25bd23f09c1b2706ddb757f7580a555bdc20340d6880f2c4a0c786a71fd16466ab06a9c7499c81e4832665ce6c3 SHA512 f1f1e20a48a682ba5e0cbc938136421a95131e4bde058002ee2ab763f565105765a63d4c0d031f84b76a0bed4d5902a8120666c9a98fc541acb68009f6e503ed

diff --git a/sci-mathematics/kissat/kissat-3.1.1.ebuild b/sci-mathematics/kissat/kissat-3.1.1.ebuild
new file mode 100644
index 000000000000..4c1fed10488f
--- /dev/null
+++ b/sci-mathematics/kissat/kissat-3.1.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Keep-it-simple and clean bare metal SAT solver written in C"
+HOMEPAGE="http://fmv.jku.at/kissat/
+	https://github.com/arminbiere/kissat/"
+SRC_URI="https://github.com/arminbiere/${PN}/archive/rel-${PV}.tar.gz
+	-> ${P}.tar.gz"
+S="${WORKDIR}"/${PN}-rel-${PV}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="!>=x11-terms/kitty-0.27"
+
+src_configure() {
+	local myopts=(
+		CC="$(tc-getCC) ${CFLAGS} ${LDFLAGS}"
+		--kitten
+		--statistics
+	)
+	sh ./configure "${myopts[@]}" || die
+}
+
+src_compile() {
+	emake AR="$(tc-getAR)"
+}
+
+src_install() {
+	dolib.a build/libkissat.a
+	exeinto /usr/bin/
+	doexe build/{kissat,kitten}
+	dodoc CONTRIBUTING NEWS.md README.md
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/kissat/
@ 2023-10-11  0:19 Maciej Barć
  0 siblings, 0 replies; 5+ messages in thread
From: Maciej Barć @ 2023-10-11  0:19 UTC (permalink / raw
  To: gentoo-commits

commit:     4bef4aa48264ad7e44bb9df5302dfe898d5e35c7
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 11 00:18:41 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Wed Oct 11 00:19:38 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4bef4aa4

sci-mathematics/kissat: drop old 3.0.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/kissat/Manifest            |  1 -
 sci-mathematics/kissat/kissat-3.0.0.ebuild | 39 ------------------------------
 2 files changed, 40 deletions(-)

diff --git a/sci-mathematics/kissat/Manifest b/sci-mathematics/kissat/Manifest
index 906a03b62d91..5c9a39bcd489 100644
--- a/sci-mathematics/kissat/Manifest
+++ b/sci-mathematics/kissat/Manifest
@@ -1,3 +1,2 @@
-DIST kissat-3.0.0.tar.gz 466704 BLAKE2B 453f894884e80cfd0ee7022adbde0439d64e31a402c4bfa92f022ad41699cc5c11682d5b9069cf33f8a779afa255f103987519bc9412b49f54480bd688fbc4eb SHA512 2a5b7b9c9bb74ca8395399425519c138e135eb9adfb6e802ce8d7544c9d53e0b7687f86e6a032fcdff1c6fc01770dd7e7449e488e0ddf3e4ee1199e1448a0862
 DIST kissat-3.1.0.tar.gz 470710 BLAKE2B bd79a480209d6ff35aa431dc294018cd78ef06e5f6c431fcd23206a72183c3f18eb4a4b9b57f471f2edc7c9224a52d00ae1d75f6c9af050b1fa7e667776932a7 SHA512 226090d4e8c42197709e08341dd4623cbf7e63f2fee72e59305ab7643c3e59cfc1f9f3abb5a766e3572137b45018ed788bbdfb486e6b8d86a7317f959358f2e8
 DIST kissat-3.1.1.tar.gz 471004 BLAKE2B ce98105f2701e9dfab8dc555ace2d6891015e25bd23f09c1b2706ddb757f7580a555bdc20340d6880f2c4a0c786a71fd16466ab06a9c7499c81e4832665ce6c3 SHA512 f1f1e20a48a682ba5e0cbc938136421a95131e4bde058002ee2ab763f565105765a63d4c0d031f84b76a0bed4d5902a8120666c9a98fc541acb68009f6e503ed

diff --git a/sci-mathematics/kissat/kissat-3.0.0.ebuild b/sci-mathematics/kissat/kissat-3.0.0.ebuild
deleted file mode 100644
index 4c1fed10488f..000000000000
--- a/sci-mathematics/kissat/kissat-3.0.0.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit toolchain-funcs
-
-DESCRIPTION="Keep-it-simple and clean bare metal SAT solver written in C"
-HOMEPAGE="http://fmv.jku.at/kissat/
-	https://github.com/arminbiere/kissat/"
-SRC_URI="https://github.com/arminbiere/${PN}/archive/rel-${PV}.tar.gz
-	-> ${P}.tar.gz"
-S="${WORKDIR}"/${PN}-rel-${PV}
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="!>=x11-terms/kitty-0.27"
-
-src_configure() {
-	local myopts=(
-		CC="$(tc-getCC) ${CFLAGS} ${LDFLAGS}"
-		--kitten
-		--statistics
-	)
-	sh ./configure "${myopts[@]}" || die
-}
-
-src_compile() {
-	emake AR="$(tc-getAR)"
-}
-
-src_install() {
-	dolib.a build/libkissat.a
-	exeinto /usr/bin/
-	doexe build/{kissat,kitten}
-	dodoc CONTRIBUTING NEWS.md README.md
-}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2023-10-11  0:19 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-02-15  6:25 [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/kissat/ Ionen Wolkens
  -- strict thread matches above, loose matches on Subject: below --
2023-10-11  0:19 Maciej Barć
2023-10-11  0:19 Maciej Barć
2023-08-15 11:59 Maciej Barć
2023-01-10  4:22 Maciej Barć

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox